# Created by pyp2rpm-1.0.0
%define pypi_name py

%bcond_with doc

Name:           python-py
Version:        1.11.0
Release:        %mkrel 2
Group:          Development/Python
Summary:        Library with cross-python path, ini-parsing, io, code, log facilities
License:        MIT
URL:            https://pypi.org/project/py
Source0:        %{pypi_source}
BuildArch:      noarch

%description
The py lib is a Python development support library featuring the
following tools and modules:

* py.path:  uniform local and svn path objects
* py.apipkg: explicit API control and lazy-importing
* py.iniconfig:  easy parsing of .ini files
* py.code: dynamic code generation and introspection
* py.path:  uniform local and svn path objects

%package -n python3-py
Summary:        Python 3 library with cross-python path, ini-parsing, io, code, log facilities
Group:          Development/Python
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(setuptools-scm)
%if %{with doc}
BuildRequires:  python3dist(sphinx)
%endif
%{?python_provide:%python_provide python3-py}

%description -n python3-py
The py lib is a Python development support library featuring the
following tools and modules:

* py.path:  uniform local and svn path objects
* py.apipkg: explicit API control and lazy-importing
* py.iniconfig:  easy parsing of .ini files
* py.code: dynamic code generation and introspection
* py.path:  uniform local and svn path objects

%prep
%setup -q -n py-%{version}
%autopatch -p1

# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

# remove shebangs and fix permissions
find -type f -a \( -name '*.py' -o -name 'py.*' \) \
   -exec sed -i '1{/^#!/d}' {} \; \
   -exec chmod u=rw,go=r {} \;

%build
%py3_build

%if %{with doc}
# docs
make -C doc html PYTHONPATH=$(pwd)
# remove hidden file
rm -rf doc/_build/html/.buildinfo
%endif

%install
%py3_install

%files -n python3-py
%doc README.rst
%if %{with doc}
%doc doc/_build/html
%endif
%license LICENSE
%{python3_sitelib}/*


%changelog
* Thu Mar 24 2022 umeabot <umeabot> 1.11.0-2.mga9
+ Revision: 1824671
- Mageia 9 Mass Rebuild

* Sun Feb 06 2022 wally <wally> 1.11.0-1.mga9
+ Revision: 1772102
- new version 1.11.0
- rebuild for python3.10

* Sun Mar 14 2021 wally <wally> 1.10.0-2.mga9
+ Revision: 1702563
- rebuild for python 3.9

* Mon Mar 01 2021 guillomovitch <guillomovitch> 1.10.0-1.mga9
+ Revision: 1695449
- new version 1.10.0

* Wed Jan 06 2021 neoclust <neoclust> 1.9.0-2.mga8
+ Revision: 1669161
- Add P0: Fixes CVE-2020-29651 (mga#28020)

* Tue Sep 15 2020 guillomovitch <guillomovitch> 1.9.0-1.mga8
+ Revision: 1626761
- new version 1.9.0

* Thu Feb 20 2020 umeabot <umeabot> 1.8.1-2.mga8
+ Revision: 1546103
- Mageia 8 Mass Rebuild

* Fri Jan 31 2020 daviddavid <daviddavid> 1.8.1-1.mga8
+ Revision: 1485932
- new version: 1.8.1

* Thu Sep 05 2019 wally <wally> 1.8.0-3.mga8
+ Revision: 1437618
- rebuild for python3.8
- drop python2 support
- disable doc build for rebuild

* Tue Aug 20 2019 wally <wally> 1.8.0-2.mga8
+ Revision: 1430592
- update sphinx BRs
- include html docs in python2/python3 pkgs

* Sat Apr 20 2019 wally <wally> 1.8.0-1.mga7
+ Revision: 1393729
- new version 1.8.0

* Sat Jan 05 2019 wally <wally> 1.7.0-2.mga7
+ Revision: 1349500
- rebuild for python3.7

* Tue Jan 01 2019 wally <wally> 1.7.0-1.mga7
+ Revision: 1348117
- new version 1.7.0

* Thu Sep 20 2018 umeabot <umeabot> 1.5.3-2.mga7
+ Revision: 1289755
- Mageia 7 Mass Rebuild

* Sat Apr 21 2018 kekepower <kekepower> 1.5.3-1.mga7
+ Revision: 1220623
- Update to version 1.5.3
- Use python_provide

* Tue Feb 27 2018 kekepower <kekepower> 1.5.2-2.mga7
+ Revision: 1205401
- Rename python-py to python2-py

* Tue Jan 02 2018 guillomovitch <guillomovitch> 1.5.2-1.mga7
+ Revision: 1189343
- new version 1.5.2

* Thu Aug 03 2017 philippem <philippem> 1.4.34-1.mga7
+ Revision: 1134349
- fix missing files
- update to 1.4.34
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Wed Dec 02 2015 philippem <philippem> 1.4.31-1.mga6
+ Revision: 907632
- update to 1.4.31

* Wed Oct 07 2015 daviddavid <daviddavid> 1.4.30-2.mga6
+ Revision: 886853
- rebuild for python 3.5
- use new python macros

* Fri Aug 28 2015 philippem <philippem> 1.4.30-1.mga6
+ Revision: 870420
- update to 1.4.30

* Wed Oct 15 2014 umeabot <umeabot> 1.4.24-4.mga5
+ Revision: 739469
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.4.24-3.mga5
+ Revision: 729337
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.4.24-2.mga5
+ Revision: 688229
- Mageia 5 Mass Rebuild

* Tue Sep 09 2014 philippem <philippem> 1.4.24-1.mga5
+ Revision: 674396
- update to 1.4.24

* Mon Aug 11 2014 philippem <philippem> 1.4.23-1.mga5
+ Revision: 661685
- update to 1.4.23

* Sun Jun 01 2014 pterjan <pterjan> 1.4.20-3.mga5
+ Revision: 630380
- Soften python3 dependency
- Rebuild for new Python

* Tue Mar 11 2014 philippem <philippem> 1.4.20-1.mga5
+ Revision: 602535
- Update to 1.4.20

* Tue Oct 22 2013 umeabot <umeabot> 1.4.17-3.mga4
+ Revision: 543960
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 1.4.17-2.mga4
+ Revision: 499133
- Rebuild to add different pythonegg provides for python 2 and 3

* Mon Oct 07 2013 philippem <philippem> 1.4.17-1.mga4
+ Revision: 492639
- Update to 1.4.17

* Fri Oct 04 2013 philippem <philippem> 1.4.16-1.mga4
+ Revision: 491496
- Update to 1.4.16

* Mon Jul 08 2013 philippem <philippem> 1.4.15-1.mga4
+ Revision: 451410
- Update to 1.4.15

* Sat Jun 08 2013 fwang <fwang> 1.4.14-1.mga4
+ Revision: 440576
- new version 1.4.14

* Sun Jan 13 2013 umeabot <umeabot> 1.4.12-2.mga3
+ Revision: 379289
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Dec 25 2012 philippem <philippem> 1.4.12-1.mga3
+ Revision: 334960
- add Python 3 version
+ joequant <joequant>
- imported package python-py

